/*
	WinSTon
*/

// Parameters for 'RunSingleInstruction' function
#define	RUN_INSTRUCTION			0
#define	SINGLESTEP_INSTRUCTION	1
#define	STEPOVER_INSTRUCTION	2
#define	RUN_TOINSTRUCTION		3
#define	BREAK_EXECUTION			4

extern HWND DebughWnd;
extern unsigned long MemoryView;
extern unsigned long InstructionBreakpoint;
extern BOOL RunInSlowMotion;
extern unsigned long OldPC;
extern HICON RedDotIcon,CursorIcon;

extern void Debugger_Init(void);
extern void FreeDebugDialog();
extern void SetDebuggerRegisters();
extern void SetDebuggerDisassembly(unsigned long ViewAddress,BOOL FullRefresh);
extern void SetDebuggerMemory(unsigned long ViewAddress,BOOL FullRefresh);
extern void SetDebuggerTimers();
extern void SetDebuggerInfoBar(char *InfoString);

extern void InterruptHandler_Run(void);
extern void InterruptHandler_SingleStep(void);
extern void InterruptHandler_Debugger(void);
extern void RunSingleInstruction(int InstructionType,unsigned long RunToAddress);

extern void Debugger_DrawTextListboxItems(HWND hWnd,WPARAM wParam,LPARAM lParam, int CtrlID,int *pListBoxTabs);
